Summary: Geeqie Image Viewer
Summary(ja): Geeqie 画像ビューア
Name: geeqie
Version: 1.0
Release: 0.9beta2%{?_dist_release}
License: GPL2
Group: Applications/Multimedia
URL: http://geeqie.sourceforge.net/
Source: %{name}-%{version}beta2.tar.gz
Source1: %{name}-1.0-2.1-ja.po
Buildroot: %{_tmppath}/%{name}-%{version}-root

BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: exiv2-devel >= 0.18.1

Vendor: Project Vine
Distribution: Vine Linux

%description
Geeqie is a lightweight Gtk+ based image viewer.

%description -l ja
Geeqie は gtk+ ベースの軽量な画像ファイルブラウザです。

%prep
%setup -q -n %{name}-%{version}beta2
cp -f %{SOURCE1} po/ja.po

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

%__make DESTDIR=$RPM_BUILD_ROOT install

mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}beta? installed-doc
# for beta only
ln -s %{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}beta2

%clean
#%__rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc README COPYING TODO ChangeLog
%doc installed-doc/html
# for beta only
%{_docdir}/%{name}-%{version}beta2
%{_bindir}/*
%{_datadir}/locale/*/*/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*
%{_datadir}/%{name}/*
#%{_libdir}/%{name}/*
%{_prefix}/lib/%{name}/*

%changelog
* Sun Jul 19 2009 Shu KONNO <owa@bg.wakwak.com> 1.0-0.9.beta2
- fixed scripts directory in %%files

* Fri Jul 17 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0-0.8.beta2
- new upstream release
- updated ja.po

* Mon Jun 22 2009 KATO Masashi <mkato@par.odn.ne.jp> 1.0-0.7.beta1
- updated ja.po
- udded synlink for documents(for beta version only)

* Thu Jun 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.6.beta1
- update to 1.0beta1

* Mon Apr 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.5.alpha4
- rebuild with exiv2-0.18.1

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.4.alpha3
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.3.alpha2
- rebuild with new exiv2

* Sat Aug 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.2.alpha2
- new upstream release

* Sun May 04 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0.1.alpha1
- initial build for Vine Linux

