%define libname libflashsupport

%define svn .svn2829

Summary: Flash support for PulseAudio, ESD and OSS
Summary(ja): Flash に PulseAudio / ESD / OSS サポートを追加するライブラリ

Name: %{libname}
Version: 0.0%{svn}
Release: 2%{?_dist_release}
License: Adobe Source Code Licence
Group: Networking/WWW
#from https://svn.revolutionlinux.com/MILLE/XTERM/trunk/libflashsupport/src/
Source: libflashsupport-%{version}.tar.bz2
Patch0: libflashsupport-0.0.svn2829_installlibdir.patch
URL: http://www.revolutionlinux.com/mille-xterm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel, esound-devel, pulseaudio-libs-devel

%description
This library adds PulseAudio, ESD and OSS support to Flash Player 9.

%description -l ja
このライブラリを追加すると、Flash Player 9 で PulseAudio / ESD / OSS に
よる音声出力がサポートされます。


%prep
%setup -q -n %{libname}-%{version}
%patch0 -p1


%build 
make


%install
rm -fr %{buildroot}
%makeinstall


%files 
%defattr(-,root,root)
%doc README*
%{_libdir}/libflashsupport.*


%clean
rm -rf %{buildroot}


%changelog
* Wed Oct 16 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.0.svn2829-2
- add Patch0

* Wed Oct 16 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 0.0.svn2829-1
- initial build for VineSeed
