Summary: freedesktop.org sound theme
Summary(ja): freedesktop.org サウンドテーマ
Name: sound-theme-freedesktop
Version: 0.1
Release: 1%{?_dist_release}
Group: User Interface/Desktops
Source0: http://0pointer.de/public/sound-theme-freedesktop.tar.gz
# For details on the licenses used, see README
License: GPLv2+ and LGPLv2+ and CC-BY-SA and CC-BY
Url: http://0pointer.de/public/sound-theme-freedesktop.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Requires(post): /bin/touch
Requires(postun): /bin/touch

%description
The default freedesktop.org sound theme following the XDG theming
specification.  (http://0pointer.de/public/sound-theme-spec.html).

%prep
%setup -q -n freedesktop

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/sounds/freedesktop
cp -av index.theme stereo/ $RPM_BUILD_ROOT%{_datadir}/sounds/freedesktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%postun
/bin/touch --no-create %{_datadir}/sounds/freedesktop %{_datadir}/sounds

%files
%defattr(-,root,root)
%doc README
%dir %{_datadir}/sounds/freedesktop
%dir %{_datadir}/sounds/freedesktop/stereo
%{_datadir}/sounds/freedesktop/index.theme
%{_datadir}/sounds/freedesktop/stereo/*.ogg

%changelog
* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1-1
- initial build for Vine Linux

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com 0.1-4
- Fix changelog

* Tue Sep 9 2008 Lennart Poettering <lpoetter@redhat.com 0.1-3
- Touch root dirs, not just theme dirs

* Mon Aug 11 2008 Jeremy Katz <katzj@redhat.com> - 0.1-2
- require touch for scriptlets to not give errors

* Sun Jun 15 2008 Lennart Poettering <lpoetter@redhat.com> 0.1-1
- Initial package
